commit:     cd636014f17c1b35d61dbb97d7562ce1549b7833
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 14 11:26:47 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Thu Feb 14 11:26:47 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd636014

media-plugins/gst-plugins-libnice: bump to 0.1.15

Bug: https://bugs.gentoo.org/673280
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 media-plugins/gst-plugins-libnice/Manifest         |  1 +
 .../gst-plugins-libnice-0.1.15-r100.ebuild         | 65 ++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/media-plugins/gst-plugins-libnice/Manifest 
b/media-plugins/gst-plugins-libnice/Manifest
index f3c17afb32c..35bfe6c5ad0 100644
--- a/media-plugins/gst-plugins-libnice/Manifest
+++ b/media-plugins/gst-plugins-libnice/Manifest
@@ -1 +1,2 @@
 DIST libnice-0.1.13.tar.gz 912374 BLAKE2B 
ae8ac3af7b5f355e3c7b961bfa60759ba71c8cc6ddb6cb5faaf1c6fe347785f36340a9f8977a1689595c265349a1b34305f41288cf951fa938b0411cec3acc0d
 SHA512 
c9bb81e8cd0b4e3673dba07ce08a16dd8821831339b44f1006510cdc09f9ae4c6eb7d43230711a2509867acb8d7df71821c411830dbf71c5a5d7e802f14a32c1
+DIST libnice-0.1.15.tar.gz 1064100 BLAKE2B 
81f06ba599b01084586a8d904b9ae513d6bc3531ec42674648fda320eea6cd9348acf423571922bab4e338bf135f85b292046352ed6f5e4fefba736d787b1ff1
 SHA512 
60a8bcca06c0ab300dfabbf13e45aeac2085d553c420c5cc4d2fdeb46b449b2b9c9aee8015b0662c16bd1cecf5a49824b7e24951a8a0b66a87074cb00a619c0c

diff --git 
a/media-plugins/gst-plugins-libnice/gst-plugins-libnice-0.1.15-r100.ebuild 
b/media-plugins/gst-plugins-libnice/gst-plugins-libnice-0.1.15-r100.ebuild
new file mode 100644
index 00000000000..e54703b770c
--- /dev/null
+++ b/media-plugins/gst-plugins-libnice/gst-plugins-libnice-0.1.15-r100.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit multilib-minimal toolchain-funcs
+
+DESCRIPTION="GStreamer plugin for ICE (RFC 5245) support"
+HOMEPAGE="https://nice.freedesktop.org/wiki/";
+MY_P=libnice-${PV}
+SRC_URI="https://nice.freedesktop.org/releases/${MY_P}.tar.gz";
+
+LICENSE="|| ( MPL-1.1 LGPL-2.1 )"
+SLOT="1.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE=""
+
+RDEPEND="
+       ~net-libs/libnice-${PV}[${MULTILIB_USEDEP}]
+       media-libs/gstreamer:${SLOT}[${MULTILIB_USEDEP}]
+       media-libs/gst-plugins-base:${SLOT}[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       default
+       sed -e 's:$(top_builddir)/nice/libnice.la:$(NICE_LIBS):' \
+               -i gst/Makefile.{am,in} || die "sed failed"
+}
+
+multilib_src_configure() {
+       # gnutls vs openssl left intentionally automagic here - the chosen USE 
flag configuration of libnice will ensure
+       # one of them is present, configure will be happy, but gstreamer bits 
don't use it, so it doesn't matter.
+       # gupnp is not used in the gst plugin.
+       ECONF_SOURCE=${S} \
+       econf \
+               --enable-compile-warnings=yes \
+               --disable-static \
+               --disable-static-plugins \
+               --without-gstreamer-0.10 \
+               --with-gstreamer \
+               --with-crypto-library=auto \
+               --disable-introspection \
+               --disable-gupnp
+}
+
+multilib_src_compile() {
+       emake -C gst \
+               NICE_LIBS="$($(tc-getPKG_CONFIG) --libs-only-l nice)"
+}
+
+multilib_src_test() {
+       :
+}
+
+multilib_src_install() {
+       emake -C gst DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to